org.firebirdsql.gds.ng.wire.version10

## Class V10WireOperations

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.AbstractWireOperations
  - - org.firebirdsql.gds.ng.wire.version10.V10WireOperations

- All Implemented Interfaces:
    FbWireOperations
  Direct Known Subclasses:
    V11WireOperations

      public class V10WireOperations
      extends AbstractWireOperations

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

      `FbWireOperations.ProcessAttachCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V10WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback, java.lang.Object syncObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authReceiveResponse(FbWireAttachment.AcceptPacket acceptPacket, DbCryptCallback dbCryptCallback, FbWireOperations.ProcessAttachCallback processAttachCallback)` Receive authentication response from the server.
    `void` | `enqueueDeferredAction(DeferredAction deferredAction)` Enqueue a deferred action.
    `void` | `processDeferredActions()` Processes any deferred actions.

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

      `addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getEncryptionIdentifiers, getSynchronizationObject, getXdrIn, getXdrOut, getXdrStreamAccess, processOperation, processResponse, processResponseWarnings, readGenericResponse, readNextOperation, readOperationResponse, readResponse, readSingleResponse, readSqlResponse, readStatusVector, writeDirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V10WireOperations

          public V10WireOperations(WireConnection<?,?> connection,
                                   WarningMessageCallback defaultWarningMessageCallback,
                                   java.lang.Object syncObject)

  - ### Method Detail

    - #### enqueueDeferredAction

          public void enqueueDeferredAction(DeferredAction deferredAction)

      Description copied from interface: `FbWireOperations`
      Enqueue a deferred action.

      FbDatabase implementations that do not support deferred actions are allowed to throw an `UnsupportedOperationException`

      Parameters:
        `deferredAction` - Deferred action

    - #### processDeferredActions

          public void processDeferredActions()

      Description copied from interface: `FbWireOperations`
      Processes any deferred actions. Protocol versions that do not support deferred actions should simply do nothing.

    - #### authReceiveResponse

          public void authReceiveResponse(FbWireAttachment.AcceptPacket acceptPacket,
                                          DbCryptCallback dbCryptCallback,
                                          FbWireOperations.ProcessAttachCallback processAttachCallback)
                                   throws java.io.IOException,
                                          java.sql.SQLException

      Description copied from interface: `FbWireOperations`
      Receive authentication response from the server.

      This method is only relevant for protocol V13 or higher.

      Parameters:
        `acceptPacket` - Packet with `op_cond_accept` data, or `null` when the data should be read from the connection.
        `dbCryptCallback` - Database encryption callback (ignored by protocols v12 and lower)
        `processAttachCallback` - Callback for processing the final attach response
      Throws:
        `java.io.IOException` - For errors reading the response from the connection.
        `java.sql.SQLException` - For errors returned from the server, or when attempting to read.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.